API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen
Entity · folder_template_bindings

Folder Template Binding Schema

Schema-ID
folder_template_binding
Collection
folder_template_bindings
Permissions
  • Lesenfolder_template_view
  • Anlegenfolder_template_edit
  • Ändernfolder_template_edit
  • Löschenfolder_template_edit

Felder

Folder Template Binding Schema

folder_template_bindings4 Permissions

Verknüpft ein Folder-Template mit einem Trigger-Event, sodass das Template automatisch angewendet wird (typisch: entity_created für neue Projekte, Kunden, Fahrzeuge).

folderTemplateIduuiderforderlich
triggerEventstringerforderlich
entity_createdentity_field_changedmanual
triggerEntityTypestringerforderlich
1–100 Zeichen
triggerConditionsobject[]optional
nullable
fieldstringerforderlich
1–200 Zeichen
opstringerforderlich
eqneqinninexistsnexistsgtgteltltecontainsstartsWithendsWithmatches
valueanyoptional

Operand — type depends on the operator. `in`/`nin` expect arrays.

activebooleanoptional
Default: true
priorityintegeroptional
0 – 1000Default: 50

Standard-Endpoints

Diese Resource folgt dem generischen CRUD-Vertrag der Plattform. Lesen Sie die Konventionen für Pagination, Idempotenz, Optimistic Locking und Audit. Die wichtigsten Endpoints:

  • GET /api/v1/folder_template_bindings — Liste, paginiert + filterbar
  • GET /api/v1/folder_template_bindings/<id> — Einzelne Entity
  • POST /api/v1/folder_template_bindings — Anlegen
  • PATCH /api/v1/folder_template_bindings/<id> — Teil-Update
  • DELETE /api/v1/folder_template_bindings/<id> — Soft-Delete
  • GET /api/v1/folder_template_bindings/<id>/timeline — Audit + Aktivitäten

Suche